ServerEvents.recipes(event => {
    event.remove({id: 'mysticalagriculture:infusion_pedestal'})
    event.remove({id: 'mysticalagriculture:infusion_altar'})
    event.remove({id: 'matc:crystals/inferium'})
    event.remove({id: 'matc:crystals/prudentium'})
    event.remove({id: 'matc:crystals/tertium'})
    event.remove({id: 'matc:crystals/imperium'})
    event.remove({id: 'matc:crystals/supremium'})
    event.remove({id: 'matc:crystals/master_infusion_crystal_superium'})
    event.remove({id: 'matc:crystals/master_infusion_crystal'})
    event.remove({id: 'mysticalagriculture:prosperity_seed_base'})
    event.remove({id: 'mysticalagriculture:inferium_seeds'})
    event.remove({type: 'mysticalagriculture:infusion'})
    event.remove({type: 'botanypots:mysticalagriculture'})
})

ServerEvents.recipes(event => {
    //Infusion Pedestal
    event.shaped('mysticalagriculture:infusion_pedestal',
    ['121',' 3 ','444'], {
        1: '#forge:ingots/blutonium',
        2: 'pneumaticcraft:large_tank',
        3: '#forge:ingots/source_steel',
        4: 'pneumaticcraft:reinforced_stone'
    }).id('mysticalagriculture:infusion_pedestal')

    //Infusion Altar
    event.shaped('mysticalagriculture:infusion_altar',
    ['121',' 3 ','444'], {
        1: '#forge:ingots/ludicrite',
        2: 'pneumaticcraft:huge_tank',
        3: '#forge:storage_blocks/source_steel',
        4: 'pneumaticcraft:reinforced_stone'
    }).id('mysticalagriculture:infusion_altar')

    //Inferium Infusion Crystal
    event.shaped('matc:inferium_crystal',
    ['121','232','121'], {
        1: '#forge:storage_blocks/prosperity_shard',
        2: '#forge:storage_blocks/inferium_essence',
        3: '#forge:storage_blocks/inferium_gemstone'
    }).id('matc:inferium_crystal')

    //Prudentium Infusion Crystal
    event.shaped('matc:prudentium_crystal',
    ['121','232','121'], {
        1: '#forge:storage_blocks/prosperity_shard',
        2: '#forge:storage_blocks/prudentium_essence',
        3: 'matc:inferium_crystal'
    }).id('matc:prudentium_crystal')

    //Tertium Infusion Crystal
    event.shaped('matc:tertium_crystal',
    ['121','232','121'], {
        1: '#forge:storage_blocks/prosperity_shard',
        2: '#forge:storage_blocks/tertium_essence',
        3: 'matc:prudentium_crystal'
    }).id('matc:tertium_crystal')

    //Imperium Infusion Crystal
    event.shaped('matc:imperium_crystal',
    ['121','232','121'], {
        1: '#forge:storage_blocks/prosperity_shard',
        2: '#forge:storage_blocks/imperium_essence',
        3: 'matc:tertium_crystal'
    }).id('matc:imperium_crystal')

    //Supremium Infusion Crystal
    event.shaped('matc:supremium_crystal',
    ['121','232','121'], {
        1: '#forge:storage_blocks/prosperity_shard',
        2: '#forge:storage_blocks/supremium_essence',
        3: 'matc:imperium_crystal'
    }).id('matc:supremium_crystal')

    //Master Infusion Crystal
    event.shaped('mysticalagriculture:master_infusion_crystal',
    ['121','232','121'], {
        1: '#forge:storage_blocks/prosperity_shard',
        2: 'mysticalagradditions:insanium_block',
        3: 'matc:supremium_crystal'
    }).id('mysticalagriculture:master_infusion_crystal')

    //Alfsteel Essence Crafting
    event.shaped('#forge:ingots/alfsteel',
    ['111','1 1','111'], {
        1: 'mysticalagriculture:alfsteel_essence'
    }).id('mysticalagriculture:alfsteel_essence')

    //Arcane Gold Essence Crafting
    event.shaped('2x #forge:ingots/arcane_gold',
    ['111','1 1','111'], {
        1: 'mysticalagriculture:arcane_gold_essence'
    }).id('mysticalagriculture:arcane_gold_essence')

    //Cloggrum Essence Crafting
    event.shaped('2x #forge:ingots/cloggrum',
    ['111',' 1 ','111'], {
        1: 'mysticalagriculture:cloggrum_essence'
    }).id('mysticalagriculture:cloggrum_essence')

    //Forgotten Essence Crafting
    event.shaped('2x #forge:ingots/forgotten_metal',
    ['111',' 1 ','111'], {
        1: 'mysticalagriculture:forgotten_essence'
    }).id('mysticalagriculture:forgotten_essence')

    //Froststeel Essence Crafting
    event.shaped('2x #forge:ingots/froststeel',
    ['111',' 1 ','111'], {
        1: 'mysticalagriculture:froststeel_essence'
    }).id('mysticalagriculture:froststeel_essence')

    //Regalium Essence Crafting
    event.shaped('2x #forge:ingots/regalium',
    ['111',' 1 ','111'], {
        1: 'mysticalagriculture:regalium_essence'
    }).id('mysticalagriculture:regalium_essence')

    //Utherium Essence Crafting
    event.shaped('2x #forge:ingots/utherium',
    ['111',' 1 ','111'], {
        1: 'mysticalagriculture:utherium_essence'
    }).id('mysticalagriculture:utherium_essence')

    //Draconium Essence to 3x nugget
    event.shapeless(
      Item.of('3x draconicevolution:draconium_nugget'), // arg 1: output
      [ 
        '9x mysticalagriculture:draconium_essence'
      ]
    ).id('draconicevolution:draconium_nugget_from_essence')

    //Mystical Agriculture Seed Structure
    function maSeeds(catalyst, input1, input2, output, id) {

        event.custom({
            "type": "mysticalagriculture:infusion",
            "input": catalyst,
            "ingredients": [
                input1,
                input2,
                input1,
                input2,
                input1,
                input2,
                input1,
                input2
            ],
            "result": output
        }).id('kubejs:mysticalagriculture/infusion/' + id + '_seed')
    }

    var tier1 = {"item": "mysticalagriculture:prosperity_seed_base"}
    var tier2 = {"item": "deeperdarker:heart_of_the_deep"}
    var tier3 = {"item": "occultism:spirit_attuned_gem"}
    var tier4 = {"item": "naturesaura:depth_ingot_block"}
    var tier5 = {"tag": "forge:ingots/gaia"}
    var tier6 = {"item": "forbidden_arcanus:eternal_stella"}
    var tier7 = {"item": "draconicevolution:large_chaos_frag"}
    var tierBee = {"item": "productivebees:upgrade_breeding"}

    var inferium = {"item": "mysticalagriculture:inferium_essence"}
    var prudentium = {"item": "mysticalagriculture:prudentium_essence"}
    var tertium = {"item": "mysticalagriculture:tertium_essence"}
    var imperium = {"item": "mysticalagriculture:imperium_essence"}
    var supremium = {"item": "mysticalagriculture:supremium_essence"}
    var insanium = {"item": "mysticalagradditions:insanium_essence"}

    //MA Seeds
    maSeeds({"item": "naturesaura:sky_ingot_block"}, {"item": "mysticalagriculture:prosperity_ingot"}, {"item": "mysticalagriculture:prosperity_gemstone"}, {"item": "mysticalagriculture:prosperity_seed_base"}, 'prosperity')
    maSeeds(tier1, inferium, {"item": "mysticalagriculture:air_agglomeratio"}, {"item": "mysticalagriculture:air_seeds"}, 'air')
    maSeeds(tier1, inferium, {"item": "mysticalagriculture:earth_agglomeratio"}, {"item": "mysticalagriculture:earth_seeds"}, 'earth')
    maSeeds(tier1, inferium, {"item": "mysticalagriculture:water_agglomeratio"}, {"item": "mysticalagriculture:water_seeds"}, 'water')
    maSeeds(tier1, inferium, {"item": "mysticalagriculture:fire_agglomeratio"}, {"item": "mysticalagriculture:fire_seeds"}, 'fire')
    maSeeds(tier2, inferium, {"item": "mysticalagriculture:inferium_upgrade"}, {"item": "mysticalagriculture:inferium_seeds"}, 'inferium')
    maSeeds(tier2, inferium, {"item": "allthecompressed:stone_2x"}, {"item": "mysticalagriculture:stone_seeds"}, 'stone')
    maSeeds(tier2, inferium, {"item": "allthecompressed:dirt_2x"}, {"item": "mysticalagriculture:dirt_seeds"}, 'dirt')
    maSeeds(tier2, inferium, {"item": "allthecompressed:oak_log_2x"}, {"item": "mysticalagriculture:wood_seeds"}, 'wood')
    maSeeds(tier2, inferium, {"item": "minecraft:blue_ice"}, {"item": "mysticalagriculture:ice_seeds"}, 'ice')
    maSeeds(tier2, inferium, {"item": "allthecompressed:deepslate_2x"}, {"item": "mysticalagriculture:deepslate_seeds"}, 'deepslate')
    maSeeds(tier3, prudentium, {"item": "mysticalagriculture:nature_agglomeratio"}, {"item": "mysticalagriculture:nature_seeds"}, 'nature')
    maSeeds(tier3, prudentium, {"item": "mysticalagriculture:dye_agglomeratio"}, {"item": "mysticalagriculture:dye_seeds"}, 'dye')
    maSeeds(tier3, prudentium, {"item": "mysticalagriculture:nether_agglomeratio"}, {"item": "mysticalagriculture:nether_seeds"}, 'nether')
    maSeeds(tier3, prudentium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:coal\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:coal_seeds"}, 'coal')
    maSeeds(tier3, prudentium, {"item": "mysticalagriculture:coral_agglomeratio"}, {"item": "mysticalagriculture:coral_seeds"}, 'coral')
    maSeeds(tier3, prudentium, {"item": "mysticalagriculture:honey_agglomeratio"}, {"item": "mysticalagriculture:honey_seeds"}, 'honey')
    maSeeds(tier3, prudentium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:amethyst\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:amethyst_seeds"}, 'amethyst')
    maSeeds(tier3, prudentium, Item.of('mysticalagriculture:soul_jar', '{Souls:8.0d,Type:\"mysticalagriculture:pig\"}').strongNBT().toJson(), {"item": "mysticalagriculture:pig_seeds"}, 'pig')
    maSeeds(tier3, prudentium, Item.of('mysticalagriculture:soul_jar', '{Souls:8.0d,Type:\"mysticalagriculture:chicken\"}').strongNBT().toJson(), {"item": "mysticalagriculture:chicken_seeds"}, 'chicken')
    maSeeds(tier3, prudentium, Item.of('mysticalagriculture:soul_jar', '{Souls:8.0d,Type:\"mysticalagriculture:cow\"}').strongNBT().toJson(), {"item": "mysticalagriculture:cow_seeds"}, 'cow')
    maSeeds(tier3, prudentium, Item.of('mysticalagriculture:soul_jar', '{Souls:8.0d,Type:\"mysticalagriculture:sheep\"}').strongNBT().toJson(), {"item": "mysticalagriculture:sheep_seeds"}, 'sheep')
    maSeeds(tier3, prudentium, Item.of('mysticalagriculture:soul_jar', '{Souls:6.0d,Type:\"mysticalagriculture:squid\"}').strongNBT().toJson(), {"item": "mysticalagriculture:squid_seeds"}, 'squid')
    maSeeds(tier3, prudentium, Item.of('mysticalagriculture:soul_jar', '{Souls:6.0d,Type:\"mysticalagriculture:fish\"}').strongNBT().toJson(), {"item": "mysticalagriculture:fish_seeds"}, 'fish')
    maSeeds(tier3, prudentium, Item.of('mysticalagriculture:soul_jar', '{Souls:12.0d,Type:\"mysticalagriculture:slime\"}').strongNBT().toJson(), {"item": "mysticalagriculture:slime_seeds"}, 'slime')
    maSeeds(tier3, prudentium, Item.of('mysticalagriculture:soul_jar', '{Souls:6.0d,Type:\"mysticalagriculture:turtle\"}').strongNBT().toJson(), {"item": "mysticalagriculture:turtle_seeds"}, 'turtle')
    maSeeds(tier3, prudentium, {"item": "industrialforegoing:latex_bucket"}, {"item": "mysticalagriculture:rubber_seeds"}, 'rubber')
    maSeeds(tier3, prudentium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:silicon\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:silicon_seeds"}, 'silicon')
    maSeeds(tier3, prudentium, {"tag": "forge:storage_blocks/sulfur"}, {"item": "mysticalagriculture:sulfur_seeds"}, 'sulfur')
    maSeeds(tier3, prudentium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:aluminum\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:aluminum_seeds"}, 'aluminum')
    maSeeds(tier3, prudentium, {"tag": "forge:storage_blocks/niter"}, {"item": "mysticalagriculture:saltpeter_seeds"}, 'saltpeter')
    maSeeds(tier3, prudentium, {"tag": "forge:storage_blocks/apatite"}, {"item": "mysticalagriculture:apatite_seeds"}, 'apatite')
    maSeeds(tier3, prudentium, {"item": "mysticalagriculture:mystical_flower_agglomeratio"}, {"item": "mysticalagriculture:mystical_flower_seeds"}, 'mystical_flower')
    maSeeds(tier3, prudentium, {"item": "integrateddynamics:crystalized_menril_block"}, {"item": "mysticalagriculture:menril_seeds"}, 'menril')
    maSeeds(tier3, prudentium, {"tag": "forge:dusts/grains_of_infinity"}, {"item": "mysticalagriculture:grains_of_infinity_seeds"}, 'grains_of_infinity')
    maSeeds(tier4, tertium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:iron\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:iron_seeds"}, 'iron')
    maSeeds(tier4, tertium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:copper\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:copper_seeds"}, 'copper')
    maSeeds(tier4, tertium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:crystalline\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:nether_quartz_seeds"}, 'nether_quartz')
    maSeeds(tier4, tertium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:glowing\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:glowstone_seeds"}, 'glowstone')
    maSeeds(tier4, tertium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:redstone\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:redstone_seeds"}, 'redstone')
    maSeeds(tier4, tertium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:obsidian\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:obsidian_seeds"}, 'obsidian')
    maSeeds(tier4, tertium, {"item": "mysticalagriculture:prismarine_agglomeratio"}, {"item": "mysticalagriculture:prismarine_seeds"}, 'prismarine')
    maSeeds(tier4, tertium, Item.of('mysticalagriculture:soul_jar', '{Souls:10.0d,Type:\"mysticalagriculture:zombie\"}').strongNBT().toJson(), {"item": "mysticalagriculture:zombie_seeds"}, 'zombie')
    maSeeds(tier4, tertium, Item.of('mysticalagriculture:soul_jar', '{Souls:10.0d,Type:\"mysticalagriculture:skeleton\"}').strongNBT().toJson(), {"item": "mysticalagriculture:skeleton_seeds"}, 'skeleton')
    maSeeds(tier4, tertium, Item.of('mysticalagriculture:soul_jar', '{Souls:10.0d,Type:\"mysticalagriculture:creeper\"}').strongNBT().toJson(), {"item": "mysticalagriculture:creeper_seeds"}, 'creeper')
    maSeeds(tier4, tertium, Item.of('mysticalagriculture:soul_jar', '{Souls:10.0d,Type:\"mysticalagriculture:spider\"}').strongNBT().toJson(), {"item": "mysticalagriculture:spider_seeds"}, 'spider')
    maSeeds(tier4, tertium, Item.of('mysticalagriculture:soul_jar', '{Souls:6.0d,Type:\"mysticalagriculture:rabbit\"}').strongNBT().toJson(), {"item": "mysticalagriculture:rabbit_seeds"}, 'rabbit')
    maSeeds(tier4, tertium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:tin\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:tin_seeds"}, 'tin')
    maSeeds(tier4, tertium, {"item": "allthecompressed:bronze_block_1x"}, {"item": "mysticalagriculture:bronze_seeds"}, 'bronze')
    maSeeds(tier4, tertium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:zinc\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:zinc_seeds"}, 'zinc')
    maSeeds(tier4, tertium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:brass\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:brass_seeds"}, 'brass')
    maSeeds(tier4, tertium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:silver\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:silver_seeds"}, 'silver')
    maSeeds(tier4, tertium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:lead\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:lead_seeds"}, 'lead')
    maSeeds(tier4, tertium, {"item": "bigreactors:graphite_block"}, {"item": "mysticalagriculture:graphite_seeds"}, 'graphite')
    maSeeds(tier4, tertium, Item.of('mysticalagriculture:soul_jar', '{Souls:6.0d,Type:\"mysticalagriculture:blizz\"}').strongNBT().toJson(), {"item": "mysticalagriculture:blizz_seeds"}, 'blizz')
    maSeeds(tier4, tertium, Item.of('mysticalagriculture:soul_jar', '{Souls:6.0d,Type:\"mysticalagriculture:blitz\"}').strongNBT().toJson(), {"item": "mysticalagriculture:blitz_seeds"}, 'blitz')
    maSeeds(tier4, tertium, Item.of('mysticalagriculture:soul_jar', '{Souls:6.0d,Type:\"mysticalagriculture:basalz\"}').strongNBT().toJson(), {"item": "mysticalagriculture:basalz_seeds"}, 'basalz')
    maSeeds(tier4, tertium, {"tag": "forge:storage_blocks/manasteel"}, {"item": "mysticalagriculture:manasteel_seeds"}, 'manasteel')
    maSeeds(tier4, tertium, {"tag": "forge:storage_blocks/steeleaf"}, {"item": "mysticalagriculture:steeleaf_seeds"}, 'steeleaf')
    maSeeds(tier4, tertium, {"tag": "forge:storage_blocks/ironwood"}, {"item": "mysticalagriculture:ironwood_seeds"}, 'ironwood')
    maSeeds(tier4, tertium, {"tag": "forge:storage_blocks/conductive_alloy"}, {"item": "mysticalagriculture:conductive_alloy_seeds"}, 'conductive_alloy')
    maSeeds(tier4, tertium, {"tag": "forge:storage_blocks/redstone_alloy"}, {"item": "mysticalagriculture:redstone_alloy_seeds"}, 'redstone_alloy')
    maSeeds(tier4, tertium, {"tag": "forge:storage_blocks/copper_alloy"}, {"item": "mysticalagriculture:copper_alloy_seeds"}, 'copper_alloy')
    maSeeds(tier4, tertium, {"item": "refinedstorage:quartz_enriched_iron_block"}, {"item": "mysticalagriculture:quartz_enriched_iron_seeds"}, 'quartz_enriched_iron')
    maSeeds(tier4, tertium, {"item": "ae2:quartz_block"}, {"item": "mysticalagriculture:certus_quartz_seeds"}, 'certus_quartz')
    maSeeds(tier4, tertium, {"item": "ae2:smooth_sky_stone_block"}, {"item": "mysticalagriculture:sky_stone_seeds"}, 'sky_stone')
    maSeeds(tier5, imperium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:gold\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:gold_seeds"}, 'gold')
    maSeeds(tier5, imperium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:lapis\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:lapis_lazuli_seeds"}, 'lapis_lazuli')
    maSeeds(tier5, imperium, {"item": "mysticalagriculture:end_agglomeratio"}, {"item": "mysticalagriculture:end_seeds"}, 'end')
    maSeeds(tier5, imperium, {"item": "miniutilities:experience_pearl_6x"}, {"item": "mysticalagriculture:experience_seeds"}, 'experience')
    maSeeds(tier5, imperium, Item.of('mysticalagriculture:soul_jar', '{Souls:10.0d,Type:\"mysticalagriculture:blaze\"}').strongNBT().toJson(), {"item": "mysticalagriculture:blaze_seeds"}, 'blaze')
    maSeeds(tier5, imperium, Item.of('mysticalagriculture:soul_jar', '{Souls:4.0d,Type:\"mysticalagriculture:ghast\"}').strongNBT().toJson(), {"item": "mysticalagriculture:ghast_seeds"}, 'ghast')
    maSeeds(tier5, imperium, Item.of('mysticalagriculture:soul_jar', '{Souls:8.0d,Type:\"mysticalagriculture:enderman\"}').strongNBT().toJson(), {"item": "mysticalagriculture:enderman_seeds"}, 'enderman')
    maSeeds(tier5, imperium, {"item": "allthecompressed:steel_block_1x"}, {"item": "mysticalagriculture:steel_seeds"}, 'steel')
    maSeeds(tier5, imperium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:nickel\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:nickel_seeds"}, 'nickel')
    maSeeds(tier5, imperium, {"item": "allthecompressed:constantan_block_1x"}, {"item": "mysticalagriculture:constantan_seeds"}, 'constantan')
    maSeeds(tier5, imperium, {"item": "allthecompressed:electrum_block_1x"}, {"item": "mysticalagriculture:electrum_seeds"}, 'electrum')
    maSeeds(tier5, imperium, {"item": "allthecompressed:invar_block_1x"}, {"item": "mysticalagriculture:invar_seeds"}, 'invar')
    maSeeds(tier4, tertium, {"item": "allthecompressed:uranium_block_1x"}, {"item": "mysticalagriculture:uranium_seeds"}, 'uranium')
    maSeeds(tier5, imperium, {"item": "allthecompressed:ruby_block_1x"}, {"item": "mysticalagriculture:ruby_seeds"}, 'ruby')
    maSeeds(tier5, imperium, {"item": "allthecompressed:sapphire_block_1x"}, {"item": "mysticalagriculture:sapphire_seeds"}, 'sapphire')
    maSeeds(tier5, imperium, {"item": "allthecompressed:peridot_block_1x"}, {"item": "mysticalagriculture:peridot_seeds"}, 'peridot')
    maSeeds(tier5, imperium, {"item": "allthecompressed:signalum_block_1x"}, {"item": "mysticalagriculture:signalum_seeds"}, 'signalum')
    maSeeds(tier5, imperium, {"item": "allthecompressed:lumium_block_1x"}, {"item": "mysticalagriculture:lumium_seeds"}, 'lumium')
    maSeeds(tier5, imperium, {"tag": "forge:ingots/hop_graphite"}, {"item": "mysticalagriculture:hop_graphite_seeds"}, 'hop_graphite')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/elementium"}, {"item": "mysticalagriculture:elementium_seeds"}, 'elementium')
    maSeeds(tier5, imperium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:osmium\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:osmium_seeds"}, 'osmium')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/fluorite"}, {"item": "mysticalagriculture:fluorite_seeds"}, 'fluorite')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/refined_glowstone"}, {"item": "mysticalagriculture:refined_glowstone_seeds"}, 'refined_glowstone')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/refined_obsidian"}, {"item": "mysticalagriculture:refined_obsidian_seeds"}, 'refined_obsidian')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/compressed_iron"}, {"item": "mysticalagriculture:compressed_iron_seeds"}, 'compressed_iron')
    maSeeds(tier5, imperium, {"item": "allthecompressed:energized_steel_block_2x"}, {"item": "mysticalagriculture:energized_steel_seeds"}, 'energized_steel')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/cloggrum"}, {"item": "mysticalagriculture:cloggrum_seeds"}, 'cloggrum')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/forgotten_metal"}, {"item": "mysticalagriculture:forgotten_seeds"}, 'forgotten')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/froststeel"}, {"item": "mysticalagriculture:froststeel_seeds"}, 'froststeel')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/regalium"}, {"item": "mysticalagriculture:regalium_seeds"}, 'regalium')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/utherium"}, {"item": "mysticalagriculture:utherium_seeds"}, 'utherium')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/soulium_ingot"}, {"item": "mysticalagriculture:soulium_seeds"}, 'soulium')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/soularium"}, {"item": "mysticalagriculture:soularium_seeds"}, 'soularium')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/dark_steel"}, {"item": "mysticalagriculture:dark_steel_seeds"}, 'dark_steel')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/pulsating_alloy"}, {"item": "mysticalagriculture:pulsating_alloy_seeds"}, 'pulsating_alloy')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/energetic_alloy"}, {"item": "mysticalagriculture:energetic_alloy_seeds"}, 'energetic_alloy')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/knightmetal"}, {"item": "mysticalagriculture:knightmetal_seeds"}, 'knightmetal')
    maSeeds(tier5, imperium, {"tag": "forge:storage_blocks/fiery"}, {"item": "mysticalagriculture:fiery_ingot_seeds"}, 'fiery_ingot')
    maSeeds(tier5, imperium, {"item": "allthecompressed:blazing_crystal_block_1x"}, {"item": "mysticalagriculture:blazing_crystal_seeds"}, 'blazing_crystal')
    maSeeds(tier5, imperium, {"item": "eidolon:arcane_gold_block"}, {"item": "mysticalagriculture:arcane_gold_seeds"}, 'arcane_gold')
    maSeeds(tier5, imperium, {"item": "ae2:fluix_block"}, {"item": "mysticalagriculture:fluix_seeds"}, 'fluix')
    maSeeds(tier6, supremium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:diamond\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:diamond_seeds"}, 'diamond')
    maSeeds(tier6, supremium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:emerald\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:emerald_seeds"}, 'emerald')
    maSeeds(tier6, supremium, {"item": "allthecompressed:netherite_block_1x"}, {"item": "mysticalagriculture:netherite_seeds"}, 'netherite')
    maSeeds(tier6, supremium, Item.of('mysticalagriculture:soul_jar', '{Souls:8.0d,Type:\"mysticalagriculture:wither_skeleton\"}').strongNBT().toJson(), {"item": "mysticalagriculture:wither_skeleton_seeds"}, 'wither_skeleton')
    maSeeds(tier6, supremium, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:platinum\"}}').strongNBT().toJson(), {"item": "mysticalagriculture:platinum_seeds"}, 'platinum')
    maSeeds(tier6, supremium, {"item": "allthecompressed:enderium_block_1x"}, {"item": "mysticalagriculture:enderium_seeds"}, 'enderium')
    maSeeds(tier6, supremium, {"tag": "forge:storage_blocks/terrasteel"}, {"item": "mysticalagriculture:terrasteel_seeds"}, 'terrasteel')
    maSeeds(tier6, supremium, {"tag": "forge:storage_blocks/cyanite"}, {"item": "mysticalagriculture:cyanite_seeds"}, 'cyanite')
    maSeeds(tier6, supremium, {"item": "allthecompressed:niotic_crystal_block_2x"}, {"item": "mysticalagriculture:niotic_crystal_seeds"}, 'niotic_crystal')
    maSeeds(tier6, supremium, {"item": "allthecompressed:spirited_crystal_block_2x"}, {"item": "mysticalagriculture:spirited_crystal_seeds"}, 'spirited_crystal')
    maSeeds(tier6, supremium, {"item": "allthecompressed:uraninite_block_1x"}, {"item": "mysticalagriculture:uraninite_seeds"}, 'uraninite')
    maSeeds(tier6, supremium, {"item": "mythicbotany:alfsteel_block"}, {"item": "mysticalagriculture:alfsteel_seeds"}, 'alfsteel')
    maSeeds(tier6, supremium, {"tag": "forge:storage_blocks/draconium"}, {"item": "mysticalagriculture:draconium_seeds"}, 'draconium')
    maSeeds(tier6, supremium, {"tag": "forge:storage_blocks/end_steel"}, {"item": "mysticalagriculture:end_steel_seeds"}, 'end_steel')
    maSeeds(tier6, supremium, {"tag": "forge:storage_blocks/vibrant_alloy"}, {"item": "mysticalagriculture:vibrant_alloy_seeds"}, 'vibrant_alloy')
    maSeeds(tier7, insanium, {"tag": "forge:storage_blocks/nether_star"}, {"item": "mysticalagriculture:nether_star_seeds"}, 'nether_star')
    maSeeds(tier7, insanium, {"item": "minecraft:dragon_egg"}, {"item": "mysticalagriculture:dragon_egg_seeds"}, 'dragon_egg')
    maSeeds(tier7, insanium, {"tag": "forge:ingots/gaia"}, {"item": "mysticalagriculture:gaia_spirit_seeds"}, 'gaia_spirit')
    maSeeds(tier7, insanium, {"item": "allthecompressed:nitro_crystal_block_1x"}, {"item": "mysticalagriculture:nitro_crystal_seeds"}, 'nitro_crystal')
    maSeeds(tier7, insanium, {"tag": "forge:storage_blocks/draconium_awakened"}, {"item": "mysticalagriculture:awakened_draconium_seeds"}, 'awakened_draconium')
    maSeeds(tierBee, imperium, {"tag": "forge:storage_blocks/prismalium"}, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:prismalium\"}}').strongNBT().toJson(), 'prismalium')
    maSeeds(tierBee, imperium, {"tag": "forge:storage_blocks/melodium"}, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:melodium\"}}').strongNBT().toJson(), 'melodium')
    maSeeds(tierBee, imperium, {"tag": "forge:storage_blocks/stellarium"}, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:stellarium\"}}').strongNBT().toJson(), 'stellarium')
    maSeeds(tierBee, imperium, {"tag": "forge:storage_blocks/soul_infused"}, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:soul_infused\"}}').strongNBT().toJson(), 'soul_infused')
    maSeeds(tierBee, imperium, {"tag": "forge:storage_blocks/shellite"}, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:shellite\"}}').strongNBT().toJson(), 'shellite')
    maSeeds(tierBee, imperium, {"tag": "forge:storage_blocks/twinite"}, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:twinite\"}}').strongNBT().toJson(), 'twinite')
    maSeeds(tierBee, imperium, {"tag": "forge:storage_blocks/dragonsteel"}, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:dragonsteel\"}}').strongNBT().toJson(), 'dragonsteel')
    maSeeds(tierBee, imperium, {"item": "allthecompressed:uraninite_block_1x"}, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:uraninite\"}}').strongNBT().toJson(), 'uraninite_bee')
    maSeeds(tierBee, imperium, {"tag": "forge:storage_blocks/prosperity_gemstone"}, Item.of('productivebees:spawn_egg_configurable_bee', '{EntityTag:{type:\"productivebees:prosperity\"}}').strongNBT().toJson(), 'prosperibee')
})
